import { AfterViewInit, Injector, OnDestroy } from '@angular/core';
import { StyleVersion } from './style-version.enum';
import { BehaviorSubject, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class FusionBase implements AfterViewInit, OnDestroy {
    protected injector: Injector;
    onDestroy$: Subject<void>;
    styleVersion: typeof StyleVersion;
    selectedVersion$: BehaviorSubject<StyleVersion>;
    get selectedVersion(): StyleVersion;
    constructor(injector: Injector);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private handleStyleVersion;
    static ɵfac: i0.ɵɵFactoryDeclaration<FusionBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FusionBase, never, never, {}, {}, never, never, false, never>;
}
